package net.northking.cctp.se.debugger;

import java.io.Closeable;

/**
 * 自动化测试调试器
 */
public interface AutomationTestDebugger<T> extends Closeable
{
  /**
   * 获取调试器ID
   *
   * @return 调试器ID
   */
  String getId();

  /**
   * 设置 调试客户端
   *
   * @param nativeClient 调试客户端
   */
  void setNativeClient(T nativeClient);

  /**
   * 是否已经关闭
   *
   * @return 是否已经关闭
   */
  boolean isClosed();


  /**
   * 停止
   */
  void stop();


}
